# eoInitGenerator< EOT > Class Template Reference

turning an eoInit into a generator probably we should only use genrators - and suppress eoInit ??? MS - July 2001 More...

`#include <eoInit.h>`

Inheritance diagram for eoInitGenerator< EOT >:

List of all members.

## Public Member Functions

| eoInitGenerator (eoInit< EOT > &_init)
| Ctor from a plain eoInit.
virtual EOT | operator() ()
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

eoInit< EOT > & | init

## Detailed Description

### template<class EOT>
class eoInitGenerator< EOT >

turning an eoInit into a generator probably we should only use genrators - and suppress eoInit ??? MS - July 2001

Definition at line 60 of file eoInit.h.

The documentation for this class was generated from the following file:

- eoInit.h